package com.qhtx.eta.infra.service.impl;

import com.qhtx.eta.common.eunms.DataSourceType;
import com.qhtx.eta.infra.annotation.UseDataSource;
import com.qhtx.eta.infra.entity.dw.TDampDwIndexData;
import com.qhtx.eta.infra.mapper.TDampDwIndexDataDao;
import com.qhtx.eta.infra.service.TDampDwIndexDataService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 指标数据表(TDampDwIndexData)表服务实现类
 *
 * @author makejava
 * @since 2024-09-29 17:37:18
 */
@Service("tDampDwIndexDataService")
@UseDataSource(dataSourceType = DataSourceType.DW)
public class TDampDwIndexDataServiceImpl implements TDampDwIndexDataService {
    @Resource
    private TDampDwIndexDataDao tDampDwIndexDataDao;

    /**
     * @param indexCode
     * @param id
     * @param limit
     * @return
     */
    @Override
    public List<TDampDwIndexData> queryAllByLimit(String indexCode, int id, int limit) {
        return tDampDwIndexDataDao.queryAllByLimit(indexCode, id, limit);
    }

    @Override
    public int countByIndexCode(String indexCode) {
        return tDampDwIndexDataDao.countByIndexCode(indexCode);
    }

}
